/* Light hero */
.ai-input-outer.light-theme .modal-form .ai-input-form-inner,
.ai-input-outer.light-theme .modal-form,
.ai-input-outer.light-theme .ai-input-form {
    background-color: rgb(248 249 237) !important;
}

.ai-input-outer.light-theme .modal-form .ai-input-form-inner {
    box-shadow: inset 0 3px 7px color-mix(in srgb, var(--color-black) 5%, transparent);
}

.ai-input-outer.light-theme .modal-form .ai-input-form-inner:hover,
.ai-input-outer.light-theme .modal-form .ai-input-form-inner:focus,
.ai-input-outer.light-theme .modal-form-outer.active .modal-form input.input-text,
.ai-input-outer.light-theme .ai-input-form-outer.active .ai-input-form input.input-text {
    background-color: rgb(243, 244, 230) !important;
}

.ai-input-outer.light-theme .ai-input::placeholder,
.ai-input-outer.light-theme .ai-inline-suggestion {
    color: rgba(190, 189, 170, 0.8) !important;
}

.ai-input-outer.light-theme .ai-input-progress-context.active .ai-input-progress-context-count {
    background: #e7e7d8 !important;
    color: var(--color-black) !important;
}

.ai-input-outer.light-theme .ai-input-progress-context.success .ai-input-progress-context-count {
    background: #7b765d !important;
}

.ai-input-outer.light-theme .ai-input-progress-context-message {
    color: #7b765d !important;
}

.ai-input-outer.light-theme .circle {
    border: 0.5px solid var(--color-primary) !important;
    box-shadow: 0 0 0.7px 0.7px var(--color-primary), inset 0 0 1.5px 0.7px var(--color-primary) !important;
}

.ai-input-outer.light-theme .circle:nth-child(4),
.ai-input-outer.light-theme .circle:nth-child(5) {
    box-shadow: 0 0 3px 0px var(--color-primary), inset 0 0 3px 1px var(--color-primary) !important;
}

.ai-input-outer.light-theme .ai-input-data-item.rel-weak::before {
    background-image: url(/wp-content/uploads/2025/05/icon-star-filled-o-02.svg);
}

.ai-input-outer.light-theme .ai-input-data-item::before {
    background-image: url(/wp-content/uploads/2025/05/icon-star-filled-br.svg);
}

.ai-input-outer.light-theme .ai-input-progress-data {
    opacity: 0.8 !important;
}

.ai-input-outer.light-theme .ai-input-form .ai-input-form-inner a {
    background-color: var(--color-primary);
    animation: button-shadow-pulse-green 4s infinite;
}

.ai-input-outer.light-theme .ai-response-container-message {
    color: var(--color-primary) !important;
}

@keyframes button-shadow-pulse-green {
    0% {
        box-shadow: 0 0 3rem rgba(0, 0, 0, 0.3), 0 0.2rem 0.2rem rgba(0, 0, 0, 0.05), 0 0 1rem #2F937633;
    }

    50% {
        box-shadow: 0 0 3rem rgba(0, 0, 0, 0.3), 0 0.2rem 0.2rem rgba(0, 0, 0, 0.05), 0 0 1rem #2F937688;
    }

    100% {
        box-shadow: 0 0 3rem rgba(0, 0, 0, 0.3), 0 0.2rem 0.2rem rgba(0, 0, 0, 0.05), 0 0 1rem #2F937633;
    }
}

@-webkit-keyframes button-shadow-pulse-green {
    0% {
        box-shadow: 0 0 3rem rgba(0, 0, 0, 0.3), 0 0.2rem 0.2rem rgba(0, 0, 0, 0.05), 0 0 1rem #2F937633;
    }

    50% {
        box-shadow: 0 0 3rem rgba(0, 0, 0, 0.3), 0 0.2rem 0.2rem rgba(0, 0, 0, 0.05), 0 0 1rem #2F937688;
    }

    100% {
        box-shadow: 0 0 3rem rgba(0, 0, 0, 0.3), 0 0.2rem 0.2rem rgba(0, 0, 0, 0.05), 0 0 1rem #2F937633;
    }
}

.ai-input-outer.light-theme .ai-input-progress-data .supplier-pill-list.active .supplier-pill {
    background-color: rgb(222 223 203);
    box-shadow: inset 0 1px 4px #0c141117;
}

.ai-input-outer.light-theme .ai-input-progress-data .supplier-pill-list.active .supplier-pill.count-pill {
    background-image: url(https://palomarr.com/wp-content/uploads/2024/08/icon-x-b.svg);
}

.ai-input-outer.light-theme .ai-input-progress-data .supplier-pill-list.active .supplier-pill:hover {
    background-color: rgb(205, 206, 187);
}

.ai-input-outer.light-theme .ai-input-progress-data .supplier-pill {
    background-color: rgb(222 223 203);
    box-shadow: 0px 2px 4px 2px rgb(53 67 63 / 17%);
}

.ai-input-outer.light-theme .ai-input-progress-data .supplier-pill-list:not(.active):hover .supplier-pill {
    box-shadow: 0px 2px 4px 2px rgb(53 67 63 / 28%);
}

body[data-fancy-form-rcs="1"] .ai-input-outer.light-theme .select2-container--default .select2-selection--single {
    background-color: rgb(237 238 221) !important;
}

body[data-fancy-form-rcs="1"] .ai-input-outer.light-theme .select2-container--default .select2-selection--single:hover,
body.page-template-suppliers[data-fancy-form-rcs="1"] .select2-container--default.select2-container--open .select2-selection--single {
    background-color: rgb(226, 227, 210) !important;
}

.ai-input-outer.light-theme span.select2-selection__arrow:after {
    filter: none !important;
}

.ai-input-outer.light-theme .ai-input-progress-data .supplier-pill-list.active .supplier-pill:hover {
    background-color: rgb(205, 206, 187);
}

.ai-input-outer.light-theme .ai-loading-bar {
    background: linear-gradient(90deg, rgb(50 127 82) 0%, rgb(133 205 145) 15%, rgb(156 209 173) 30%, rgb(222 255 190) 70%, rgb(222 232 197) 80%, rgb(228 232 217) 100%);
    background-size: 400% 400%;
}

.ai-input-outer.light-theme .supplier-dropdown {
    background: #e6e5dc;
}

.ai-input-outer.light-theme .supplier-dropdown .supplier-dropdown-row:hover {
    background: #fefef76c;
}

.ai-input-outer.light-theme .ai-progress-bar {
    background: #a0cbbb;
}

/* Header AI Search */
#header-outer:not(.at-top) .ai-input-outer.light-theme .ai-loading-bar {
    background: linear-gradient(90deg, rgb(29, 93, 58) 0%, rgb(20, 124, 81) 15%, rgb(39, 148, 72) 30%, rgb(139, 201, 45) 70%, rgb(157, 222, 60) 80%, rgb(207, 255, 103) 100%);
    background-size: 400% 400%;
}

#header-outer:not(.at-top) .ai-input-outer.light-theme .ai-input-progress-context.success .ai-input-progress-context-count {
    background-color: var(--color-primary) !important;
}

#header-outer:not(.at-top) .ai-input-outer.light-theme .ai-input-data-item::before {
    background-image: url(/wp-content/uploads/2025/05/icon-star-filled-g.svg) !important;
}

.ai-input-progress-context-message {
    line-height: 1.2rem !important;
}

/* Over light bg */
#header-outer:not(.at-top) .ai-input-outer.light-theme.over-light-bg .modal-form {
    background-color: rgb(253 255 248) !important;
}

#header-outer:not(.at-top) .ai-input-outer.light-theme.over-light-bg.input-data .modal-form {
    box-shadow: 0 3px 45px rgba(0, 0, 0, 0.15);
}

#header-outer:not(.at-top) .ai-input-outer.light-theme.over-light-bg .modal-form input.input-text:hover {
    background-color: rgb(240, 242, 232) !important;
}

#header-outer:not(.at-top) .ai-input-outer.light-theme .ai-input-form .ai-input-form-inner a {
    animation: none !important;
    box-shadow: none !important;
}

body.page-template-home #hero .ai-input-outer .modal-form input.ai-input::placeholder {
    color: rgb(223 248 241 / 60%) !important;
}
